STRUCT TEMP(3)

NAME
boost::interprocess::managed_shared_ptr

SYNOPSIS

// In header: <boost/interprocess/smart_ptr/shared_ptr.hpp>
template<typename T, typename ManagedMemory>
struct managed_shared_ptr {
  // types
  typedef ManagedMemory::template allocator< void >::type void_allocator;
  typedef ManagedMemory::template deleter< T >::type      deleter;
  typedef shared_ptr< T, void_allocator, deleter >        type;
};

DESCRIPTION

Returns the type of a shared pointer of type T with the allocator boost::interprocess::allocator allocator and boost::interprocess::deleter deleter that can be constructed in the given managed segment type.